
$().ready(function() {

});

function callActionAjax(actionRoute, jsonActionParameter, functionProcessor) {

	$.ajax({
		url: contextPath + actionRoute,
		type: 'POST',
		data: jsonActionParameter,
		dataType: "json",
		success: function(response) {
			functionProcessor(response);
		},
		error: function(jqXhr, textStatus, errorThrown) {
			showError("Ocurri&oacute; un error.");
		}
	});

}

function llamaReporteInfoAction() { //Funcion de boton Consultar
	var jsonString = '{"idCon" : "' + $("#campoContrato").val() + '", "fechaInicio":"01/01/2021", "fechaFin":"01/01/2022", "idEstudio":"' + $("#campoEstudio").val() + '"}';
	var stringJson = JSON.parse(jsonString);
	callActionAjax("/admin/reporteContingencia/reporteContInf", stringJson, procesaReportePrincipal);
}


function procesaDetalleContratos(jsonData) {

	var contratos = jsonData.detalleContratos;

	if (contratos.length > 0) {

		$("#campoContrato").prop("disabled", false);
		$('#campoContrato').find('option').remove();
		$("#campoContrato").append('<option value="">Todos</option>');

		$("#botonG").prop("disabled", false);

		for (var i = 0; contratos.length; i++) {
			cnt = contratos[i];
			$("#campoContrato").append('<option value="' + cnt.idContrato + '">' + cnt.numeroContrato + '</option>');
		}



	} else {
		$("#campoContrato").prop("disabled", true);
		$("#botonG").prop("disabled", true);
		showError("El estudio seleccionado no tiene contratos asociados");
	}

}

function llamaObtenerDetalleContratos() {


	var jsonString = '{"idEstudio" : "' + $("#campoEstudio").val() + '", "fechaInicio":"01/01/2021", "fechaFin":"01/01/2022"}';
	var stringJson = JSON.parse(jsonString);
	callActionAjax("/admin/revenuePorc/detalleContrato", stringJson, procesaDetalleContratos);

}




$(document).ready(function() {

	$('#fecha1').datepicker({ dateFormat: 'dd/mm/yy' });


	$('#consultaReporte').click(function() {

		var estudioEleccion = 'datComodin';
		var mesEleccion = $('#fecha1').val();

		if (validaParametrosEntrada(estudioEleccion, mesEleccion) != 0) {

			generaReporteAmortizacion(mesEleccion);

			var d_val = new Date(mesEleccion.replace("/", "-") + ' 00:00:00');
			var year = d_val.getFullYear();
			var mes = d_val.getMonth();
			var d = new Date(year, mes + 1, 0);
			showMessage(" Se bloquear\u00E1 del " + mesEleccion + " al fin de mes del env\u00CDo de t\u00CDtulos a SAP. Por favor confirme los d\u00CDas de cierre.");


		} else {
			showError("No se ha seleccionado un valor v\u00E1lido fecha o la fecha seleccionada no tiene el formato adecuado DD/MM/YYYY");
		}
	});

});




$(document).ready(function() {

	$('#fecha2').datepicker({ dateFormat: 'dd/mm/yy' });


	$('#consultaReporte').click(function() {

		var estudioEleccion = 'datComodin';
		var mesEleccion = $('#fecha2').val();
		var mesEleccion1 = $('#fecha2').val();

		if (validaParametrosEntrada(estudioEleccion, mesEleccion) != 0) {

			generaReporteAmortizacion(mesEleccion);

			var d_val = new Date(mesEleccion.replace("/", "-") + ' 00:00:00');
			var year = d_val.getFullYear();
			var mes = d_val.getMonth();
			var d = new Date(year, mes + 1, 0);
			showMessage(" Se bloquear\u00E1 del " + mesEleccion + " al fin de mes del env\u00CDo de t\u00CDtulos a SAP. Por favor confirme los d\u00CDas de cierre.");


		} else {
			showError("No se ha seleccionado un valor v\u00E1lido fecha o la fecha seleccionada no tiene el formato adecuado DD/MM/YYYY");
		}



	});

});

function validaNuloUndefinido(variable) {

	if ((variable === null && typeof variable === "object") ||
		(variable === undefined && typeof variable === "undefined") ||
		(variable === "" && typeof variable === "string")
	) {
		return 0;
	} else {
		return variable;
	}
}

function validaParametrosEntrada(estudioEleccion, mesEleccion) {

	var estudioNoValida = validaNuloUndefinido(estudioEleccion);
	var mesNoValida = validaNuloUndefinido(mesEleccion);
	var fechaValida = validaFechaMesAnio(mesEleccion);

	if (estudioNoValida == 0 || mesNoValida == 0 || fechaValida == 0)
		return 0;
	return 1;
}


$(document).ready(function() {

	$('#fecha').datepicker({ dateFormat: 'dd/mm/yy' });


	$('#consultaReporte').click(function() {

		var estudioEleccion = 'datComodin';
		var mesEleccion = $('#fecha').val();

		if (validaParametrosEntrada(estudioEleccion, mesEleccion) != 0) {

			generaReporteAmortizacion(mesEleccion);

			var d_val = new Date(mesEleccion.replace("/", "-") + ' 00:00:00');
			var year = d_val.getFullYear();
			var mes = d_val.getMonth();
			var d = new Date(year, mes + 1, 0);
			showMessage(" Se bloquear\u00E1 del " + mesEleccion + " al fin de mes del env\u00CDo de t\u00CDtulos a SAP. Por favor confirme los d\u00CDas de cierre.");
		} else {
			showError("No se ha seleccionado un valor v\u00E1lido fecha o la fecha seleccionada no tiene el formato adecuado DD/MM/YYYY");
		}
	});




});


function validaFechaMesAnio(fecha) {

	var fecha_valida = 0;

	try {
		testdate = $.datepicker.parseDate('dd/mm/yy', fecha);
		fecha_valida = 1;

	} catch (e) {
		fecha_valida = 0;
	}

	return fecha_valida;
}



function procesaDatosReporte(datos) {

}

function notificarSAP() {
	var jsonString = '{"idCon" : "' + $("#campoContrato").val() + '", "fechaInicio":"01/01/2021", "fechaFin":"01/01/2022", "idEstudio":"' + $("#campoEstudio").val() + '"}';
	var stringJson = JSON.parse(jsonString);
	callActionAjax("/admin/revenuePorc/ejecuta", stringJson, procesaReportePrincipal);
	showMessage("Se a ejecutado el guardado del  porcentaje");


}



function procesaReportePrincipal(jsonData) {

}